Jupiter - Zadanie #1718

Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Dodanie sekcji z autorami

2017-06-02 11:44 - Michat Komar

Status: Zamkniety Start date: 2017-06-05
Priority: Normalny Due date: 2017-06-05
Assignee: tukasz Waskiewicz % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Monika Maksymiuk Tester: tukasz Waskiewicz
Description

Sekcja autoréw zarzadza elementami z kolekcji YElement.contributors odfiltrowanymi po YContributor.role ='author'.
Pola ycontributor:

- affiliationRefs : List<String> - lista odnosnikow do afiliacji
Planuje zrobi¢ serwis przechowujacy wszystkie afiliacje, sposréd kitdrych bedzie mozna wybrac ta, ktéra nas interesuje. Jezeli
afiliacja nie istnieje w systemie, uzytkownik bedzie jg mogt dodac recznie, przy procesie publikacji bedziemy jg weryfikowad i
ewentualie uzupetniaé liste afiliacji - po stronie Ul trzeba do wynikéw wyszukiwania doda¢ afiliacje wprowadzane w ramach aktualnej
edycji - np. zostat dodany autor z afiliacjg xxx, przy dodawaniu autora2 chcemy przypisa¢ mu t¢ sama afiliacje, serwis afiliacji nie ma
pojecia o $wiezo dodane;j afiliacji, wiec to Ul musi umozliwi¢ jej wybor.
- contributorld : String - kolejny numer contributora, pozwalajacy na identyfikacje rekordu w liscie contributoréw
- identity : YExtld - unikalny identyfikator autora - przy dodawaniu nowego autora, nalezy mu nada¢ UUID (do dyskusji, czy ma
byé nadawany przez javascript czy backend)
- institution : boolean - zawsze false w przypadku autoréw (chyba ze znajdzie si¢ publikacja, ktdrej autorem jest intytucja, wtedy
bedziemy sie zastanawiac)
- role : String - zawsze "author' w przypadku autoréw
- ids : List<Yld> - lista identyfikatoréw zewnetrznych autora (orcid, pbnid, moze inne)
- descriptions : List<YDescription> - raczej nie bedziemy tego uzupetnia¢
- names : List<YName> - lista nazw przypisanych do autora
- canonical - petna nazwa autora z tytutami naukowymi itp, w formie w jakiej ma widnie¢ w systemie
- forenames - imiona autora oddzielone przecinkami, mozna uzy¢ kontrolki do dodawania tagéw, wtedy wymusimy odpowiedni
format pola
- surname - nazwisko/nazwiska autora
- suffix - moze wybor z listy (hitps://en.wikipedia.org/wiki/Suffix _(name))
Dodawanie autoréw odbywa sie dwutorowo:

- dodawanie wyszukanych autoréw - tak jak w przypadku afiliacji, planuje dodanie serwisu autoréw, co powinno umozliwic¢
wyszukiwanie. Ul musiatby jedynie doda¢ uzytkownika do listy, serwis zwracatby przygotowanego ycontributora wraz z ewentualng
afiliacja

- dodawanie zupetnie nowych autoréw - Ul bedzie odpowiedzialny za przygotowanie catego obiektu YContributor, z polami
opisanymi wyzej

Zdaje sobie sprawe, ze pewnie bedzie trzeba jeszcze uszczegotowié to zadanie :).

Related issues:
Follows Jupiter - Zadanie # 1719: Utworzenie serwisu kontrybutoréw Rozwiazany 2017-06-02

Associated revisions

Revision fb6041fa - 2017-11-06 11:43 - Monika Maksymiuk

refs #1718. Sekcja do dodawania i edycji autora jako osoby
https://en.wikipedia.org/wiki/Suffix_(name)

Revision 828db661 - 2017-11-06 11:43 - Monika Maksymiuk

refs #1718. Dodawanie/edycja autorow bez mozliwosci zmiany kolejnosci

Revision f70d6a1c - 2017-11-06 11:56 - Monika Maksymiuk

refs #1718. Bugfix

Revision 0f97b3bd - 2017-11-06 12:33 - Monika Maksymiuk

refs #1718. Bugfix

Revision 25fe073e - 2017-11-09 10:36 - Monika Maksymiuk

refs #1718. Od$wiezanie tagdw po edycji i dodawaniu

Revision d90b94ff - 2017-11-09 14:32 - Monika Maksymiuk

refs #1718. Uzupelnianie pustego canonical

Revision 1692471a - 2017-11-10 15:51 - Monika Maksymiuk

refs #1718. Zmiana buttona do generowania canonical name

Revision ee2cbe1f - 2017-11-10 15:51 - Monika Maksymiuk

refs #1718. Przycisk usuwania z ikong kosza

Revision b29953f6 - 2017-11-10 15:51 - Monika Maksymiuk

refs #1718. pkt 7 usuniecie afiliacji przypisanej w trakcie edycji

Revision 414ef6¢5 - 2017-11-10 15:51 - Monika Maksymiuk

refs #1718. pkt 6 Usuwanie afiliacji i odswiezanie ich przy autorach

Revision c6885951 - 2017-11-16 12:56 - Monika Maksymiuk

refs #1718. pkt. 12 Usunigcie plusa w sekcji,
pkt. 14 Nie dodawanie pustego elementu do sekcji

Revision b2ebaf46 - 2017-11-21 14:11 - Monika Maksymiuk

2024-05-19

2/7



refs #1718. pkt 13 odswiezanie afiliacji po zmianie dokumentu

Revision 671357b3 - 2017-11-21 14:58 - Monika Maksymiuk

refs #1718. Odswiezanie tagow po usunieciu/dodaniu autora

Revision c2eda27d - 2017-11-22 10:53 - Monika Maksymiuk

refs #1718. Usuniecie pola Inpit w contributors-list

Revision 2cba0f9f - 2017-11-22 15:51 - Monika Maksymiuk

refs #1718. Przypisywanie afiliacji bugfix

Revision b922{7a6 - 2017-11-22 15:51 - Monika Maksymiuk

refs #1718. Ttumaczenia

Revision 2f9c3ae6 - 2017-11-22 16:16 - Monika Maksymiuk

refs #1718. Ttumaczenia

Revision 702092fa - 2017-11-22 16:58 - Monika Maksymiuk

refs #1718. Trimowanie forenames i surname przy generowaniu canonicalName

Revision e75b52f3 - 2017-11-23 14:25 - Monika Maksymiuk

refs #1718. pkt. 10; walidacja emaila

Revision 97ed4a5b - 2017-12-05 08:59 - Monika Maksymiuk

refs #1718. Aktualizacja afiliacji przy autorach po usunieciu sekcji afiliacje

Revision de87870f - 2017-12-05 09:00 - Monika Maksymiuk

refs #1718. Odswiezanie przypisanych afiliacji w formularzu dodawania kontrybutorow po wyczyszczeniu sekcji afiliacji

Revision €528597¢ - 2017-12-05 09:00 - Monika Maksymiuk

refs #1718. Usuniecie wypisywania dlugosci tablicy
Revision f01f6e2f - 2017-12-08 15:03 - Monika Maksymiuk

refs #1718. Anulowanie edycji, gdy contributor zostanie usuniety

Revision 81b070fc - 2017-12-08 15:03 - Monika Maksymiuk

refs #1718. Potwierdzenie usuwawania kontrybutora

Revision 537a4653 - 2017-12-11 15:03 - Monika Maksymiuk

refs #1718. Znikanie placeholderow przy pierwszym czyszczeniu formularza

Revision b7d09861 - 2018-01-08 10:04 - Monika Maksymiuk

refs #1718. Resetowanie stanu formularza dodawania kontrybutora po zmianie dokumentu

Revision aef98c{7 - 2018-01-08 10:04 - Monika Maksymiuk

refs #1718. Odswiezanie widoku przypisanych afiliacji zaraz po wejsciu do edyc;ji

Revision cb14c6¢9 - 2018-01-11 13:31 - Monika Maksymiuk

refs #1718. Nulle w affiliationsRefs

Revision 68babb0b - 2018-01-11 13:32 - Monika Maksymiuk

refs #1718. Update listy contribListPerAffld po dodaniu kontrybutora

Revision 123{7018 - 2018-02-06 13:51 - Monika Maksymiuk

refs #1718. Przeniesienie updatowania afiliacji przez serwis do form-manager. Poprawienie bledow lintera

History

#1 - 2017-06-02 11:51 - Michat Komar

- Follows Zadanie #1719: Utworzenie serwisu kontrybutoréw added

#2 - 2017-08-31 08:47 - Michat Komar
- Status changed from Nowy to W toku

#3 - 2017-11-06 12:50 - Monika Maksymiuk

- Status changed from W toku to Testowanie

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz
- % Done changed from 0 to 100
Poprosze o testy kontrybutoréw. Z rzeczy o ktérych wiem:

- musze poprawi¢ style tagéw tak, zeby pasowaty do aplikacji

- po kliknieciu dodaj (kontrybutor jako osoba), formularz oznacza sie na czerwono

- nie mozna zmieni¢ kolejnosci

#4 - 2017-11-09 13:11 - Lukasz Waskiewicz

- Status changed from Testowanie to Odpowiedz

- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

1.

au

nie wyswietlajg sie autorzy jesli jacys sa w zasobie zrodtowym (wySwietlajg sie ale jesli canonical jest puste to wyswietla sie bloczek z pusta nazwa
tora)

http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/bwmetal.element.psjd-a8a23911-9127-46e6-bce1-76bf4cfc7b49/edit

0o N o o~ W N

11

. przycisk generowania nazwy nie wyglada jak przycisk (moze kolor zielony albo bardziej okragta ikonka (fa-arrow-circle-right ) albo md-fab)
. placeholder zostaje w polu z imieniem , nazwiskiem, gdy edytujemy autora, ale czasem sie naprawi

. przycisk usun przy afiliacjach jest brzydki

. brak ttumaczen

. jak usuniesz afiliacje to przy autorze zostaje cyfra 0

. jesli usuniemy afiliacje, gdy autor ktéry ma jg przypisana jest w trybie edycji, Ul sie blokuje

. jesli wypetnimy formularz i klikniemy dodaj to nic sie nie dzieje (znikajg wpisane dane, pola stajg sie czerwone, nic sie nie dodaje)

. za autorami pojawia sig napis "+ Tag" ( po wykonaniu #8)

. brak walidacji maila

. nie dziata przycisk czyszczenia sekcji

12. nie potrzebny przycisk + przy sekcji

13.
14.
15.
16.

#5

przy wejsciu do edycji innego zasobu, sekcja autoréw sie nie aktualizuje

po dodaniu sekcji pojawia sie obiekt nie bedacy autorem/instytucja

mozna dodaé spacje jako imie i nazwisko (walidacja akceptuje), wynik generowania canonical jest pusty
kasowanie nie dziata, przycisk kasowania jest kilka px za nisko

-2017-11-09 13:30 - Lukasz Waskiewicz

- File autorzy.png added

#6

- 2017-11-23 14:27 - Monika Maksymiuk

- Status changed from Odpowiedz to Testowanie

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

#7

- 2017-12-01 09:25 - Lukasz Waskiewicz

- File contributor_zero.png added

- File contributor_placeholder.png added

- Status changed from Testowanie to Odpowiedz

- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

1. brak konsekwencji ( nie mozna usung¢ ostatniej afiliacji, ale mozna usuna¢ ostatnie stowo kluczowe)
2. gry autor jest w trybie edyciji klikajac czyszczenie wszystkich afiliacji dostajemy
core.es5.js:1020 ERROR TypeError: Cannot read property 'id' of undefined
at Object.updateRenderer (contributor-manager.component.ngfactory.ts:69)

3. gdy autor jest w edycji (nie ma afiliacji) klikniemy usun wszystkie otrzymujemy 0 przy innych autorach (screen)
4. poprzedni punkt gdy klikniemy zapisz znika placeholder z "surname" (screen)
http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/bwmeta1.element.psjd-a8a23911-9127-46e6-bce1-76bf4cfc7b49/edit

5. po dodaniu autora pola stajg sie czerwone i krzycza o walidacji (dodali$my autora powinny by¢ puste bez zaznaczonych btedéw)

6. jesli dodany autora o z imig, nazwisko, ztagczenie : <test> to po dodaniu nie ma placeholderéw (kilka razy [po btedach] autora dodat sig jako Tag
+)

7. przycisk clean jest aktywny jesli nic nie ma wpisanego

8. jesli co$ wpiszemy w pola dodawania autora klikniemy clean znikajg placeholdery z pél gdzie byto co$ wpisane

9. przecinek jako nazwa (
http://cocos-devel.vls.icm.edu.pl:9080/en/editor/document/bwmetal.element.psjd-e498a186-dff5-4d0e-ae04-aec481e8be32/edit) nie pamietam co

mieli§my z tym zrobi¢
10. w zasobie powyzej jesli usuniemy 1. autora znikajg wszyscy
11. jesli usuniemy autora bedac w jego edycji i klikniemy save dostaniemy btad
core.es5.js:1020 ERROR TypeError: Cannot read property 'patchValue' of undefined
at
AuthorsFieldComponent.webpackdsonp.../../../../../src/main/javascript/app/editor/edit-form/fields/authors/authors-field.component.ts.AuthorsFieldComponent
IdComponent.updateContrib (authors-field.component.ts:13)

12. zdazyto sie ze po usunieciu wszystkich autorow dodatem nowego i dodat sie 2 razy
13. jesli dodany tego samego autora 2 razy (identyczne pola) to kasujac jednego skasujemy obu (obaj znikaja, ale jak dodamy kolejnego to 1

wraca)

#8 - 2017-12-14 09:55 - Monika Maksymiuk

- Status changed from Odpowiedz to Testowanie

Ad. 7 Przycisk clean bedzie aktywny jesli nic nie bedzie wpisane

Ad. 9 Jesli w danych sg przecinki to trudno

Znikajace placeholdery to osobny problem, zwigzany z bibliotekg material. Reszta poprawiona

#9 - 2017-12-20 09:07 - Monika Maksymiuk

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

#10 - 2017-12-22 09:03 - Lukasz Waskiewicz

- File edycja_autoréw.png added

poprzedni punkt 5 wcigz aktualny, poprzedni 10 wcigz aktualny

1. wchodzac w edycje autora, zmieniajac dokument, w polach edycji zostajg stare dane i w sekcji zostaje nazwa edycja autora (screen) (zostaja tez

poprzednie btedy walidacii jesli byty)

2. edytujac autora z afliacjami podsekcja "Przypisane afiliacje" jest pusta, jak dodany nowa to pojawiajg sie te ktére byly wczesniej
3. wejdz bezposrednio na zaséb np http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/bwmetai.element.ekon-element-000171339573/edit

(autor z afiliacjg) wejdZz w edycje autora, usun wszystkie afiliacje, dodaj afiliacje (mozna doda¢ kilka) , przypisz autorowi ktéry byt afiliacje, dodaj
nowego (bez dodawania afiliacji) otrzymujemy autora z 0

4. jesli dodany autora z bardzo dtugg nazwag dostajemy dtugiego pustego taga (bez widocznych przyciskéw)

5. animacja usuwania jest widoczna w ostatnim wierszu tagéw, jesli usuwamy co$ w innym (mi sig ta animacja nie podoba, jesli sie da to bym jag

zupetnie wytgczyt, jesli naprawa togo zajmie wigcej niz kilka minut to dodaj zadanie na 0.4 z tym aby byt $lad)

#11 - 2017-12-22 09:19 - Lukasz Waskiewicz
- File 000000000000000000000000000.png added
http://cocos-devel.vls.icm.edu.pl:9080/en/editor/document/bwmeta1.element.psjd-e498a186-dff5-4d0e-ae04-aec481e8be32/edit
http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/bwmeta1.element.ekon-element-000171339573/edit

#12 - 2017-12-22 09:19 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

#13 - 2018-01-11 13:49 - Monika Maksymiuk

- Status changed from OdpowiedZ to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

Btedy z 0 i nie od$wiezaniem sie formularza poprawione. W kwestii zbyt dtugich nazw i animacji moim rozwigzaniem jest przeniesienie sie na

md-chips, co i tak trzeba zrobi¢, zeby sig uspdjni¢ ze stowami kluczowymi. Zaktadam na to osobnego taska

#14 - 2018-01-17 14:11 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Monika Maksymiuk

jak wejdziemy na zas6b z afiliacjami, potem na edycje zasobu bez, to w autorach mozzna wybra¢ afiliacje z poprzedniego zasobu

http://cocos-devel.vls.icm.edu.pl:9080/pl/editor/document/owmetai.element.ekon-element-000171339563/edit

nastepnie przechodzimy do edycji zasobu 1 nizej "Kontrowersje zwigzane z definicjg budowli przy wymiarze podatku od nieruchomosci”

i w sekcji autoréw mozemy z selecta wybraé afiliacje "Uniwersyste ...."

#15 - 2018-02-06 14:02 - Monika Maksymiuk
- Status changed from OdpowiedZ to Testowanie
- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz

#16 - 2018-02-14 13:34 - Lukasz Waskiewicz
- Status changed from Testowanie to Zamkniety

OK

Files

autorzy.png 32.2KB 2017-11-09 tukasz Waskiewicz
contributor_zero.png 23.1 KB 2017-12-01 tukasz Waskiewicz
contributor_placeholder.png 27.7 KB 2017-12-01 tukasz Waskiewicz
edycja_autoréw.png 16.9 KB 2017-12-22 tukasz Waskiewicz
000000000000000000000000000.png 22.5KB 2017-12-22 tukasz Waskiewicz
